Skip to content

Chore(deps): Bump justinrainbow/json-schema from 6.11.0 to 6.13.0 - #8407

Merged
github-actions[bot] merged 1 commit into
mainfrom
dependabot/composer/justinrainbow/json-schema-6.12.0
Oct 8, 2026
Merged

github-actions[bot] merged 1 commit into
mainfrom
dependabot/composer/justinrainbow/json-schema-6.12.0

Conversation

@dependabot

@dependabot dependabot Bot commented on behalf of github Sep 19, 2026 •

Copy link
Copy Markdown
Contributor

Bumps justinrainbow/json-schema from 6.11.0 to 6.13.0.

Release notes

Sourced from justinrainbow/json-schema's releases.

6.13.0

Fixed

  • fix: Reject percent signs that do not introduce a hex triplet in relative references (#959)
  • Validate iri and iri-reference formats according to RFC 3987 (#962)
  • Fix uri-template rejecting non-Latin literals on PCRE2 10.46 (#961)
  • Validate uri-template format according to RFC 6570 (#960)
  • fix: Address warning on PHPUnit process due to upstream changes (#956)
  • Resolve nested schema ids against their enclosing base uri (#947)

Added

  • Validate idn-email format (#963)

6.12.0

Fixed

  • Report additional property errors at the property path (#942)
  • Fix RFC 3339 date-time validation with high-precision fractional seconds (#940)

Added

  • Define minimal permissions on every workflow (#941)
  • feat: Add --allow-invalid-content-type-endpoint option to validate-json (#932)

Changed

  • fix: Avoid restricted stargazers endpoint in Welcome workflow and avoid running for bot user types (#946)
  • fix: Correct changelog and changelog updates (#945)
Changelog

Sourced from justinrainbow/json-schema's changelog.

[6.13.0] - 2026-09-23

Fixed

  • fix: Reject percent signs that do not introduce a hex triplet in relative references (#959)
  • Validate iri and iri-reference formats according to RFC 3987 (#962)
  • Fix uri-template rejecting non-Latin literals on PCRE2 10.46 (#961)
  • Validate uri-template format according to RFC 6570 (#960)
  • fix: Address warning on PHPUnit process due to upstream changes (#956)
  • Resolve nested schema ids against their enclosing base uri (#947)

Added

  • Validate idn-email format (#963)

[6.12.0] - 2026-09-04

Fixed

  • Report additional property errors at the property path (#942)
  • Fix RFC 3339 date-time validation with high-precision fractional seconds (#940)

Added

  • Define minimal permissions on every workflow (#941)
  • feat: Add --allow-invalid-content-type-endpoint option to validate-json (#932)

Changed

  • fix: Avoid restricted stargazers endpoint in Welcome workflow and avoid running for bot user types (#946)
  • fix: Correct changelog and changelog updates (#945)
Commits
  • 30de5e9 docs: Prepare release 6.13.0
  • a8ffde7 docs: Update CHANGELOG.md for PR #963
  • f7203d5 Validate idn-email format (#963)
  • a5c7df8 docs: Update CHANGELOG.md for PR #959
  • f6aafbe fix: Reject percent signs that do not introduce a hex triplet in relative ref...
  • 003d453 docs: Update CHANGELOG.md for PR #962
  • 1857270 Validate iri and iri-reference formats according to RFC 3987 (#962)
  • 41f1ade docs: Update CHANGELOG.md for PR #961
  • 736302e Fix uri-template rejecting non-Latin literals on PCRE2 10.46 (#961)
  • 75591be docs: Update CHANGELOG.md for PR #960
  • Additional commits viewable in compare view

@dependabot dependabot Bot added dependencies php Pull requests that update Php code labels Sep 19, 2026
@dependabot dependabot Bot added dependencies php Pull requests that update Php code labels Sep 19, 2026
@github-actions
github-actions Bot enabled auto-merge September 19, 2026 03:08
@github-actions

Copy link
Copy Markdown
Contributor

馃悽 Performance warning.
It looks like the query count of the integration tests increased with this PR.
Database query count is now 209604 was 198420 (+5.63%)
Please check your code again. If you added a new test this can be expected and the base value in tests/integration/base-query-count.txt can be increased.

@blizzz

blizzz commented Oct 8, 2026

Copy link
Copy Markdown
Member

@dependabot rebase

Bumps [justinrainbow/json-schema](https://github.com/jsonrainbow/json-schema) from 6.11.0 to 6.13.0.
- [Release notes](https://github.com/jsonrainbow/json-schema/releases)
- [Changelog](https://github.com/jsonrainbow/json-schema/blob/main/CHANGELOG.md)
- [Commits](jsonrainbow/json-schema@6.11.0...6.13.0)

---
updated-dependencies:
- dependency-name: justinrainbow/json-schema
  dependency-version: 6.12.0
  dependency-type: direct:production
  update-type: version-update:semver-minor
...

Signed-off-by: dependabot[bot] <support@github.com>
@dependabot dependabot Bot changed the title Chore(deps): Bump justinrainbow/json-schema from 6.11.0 to 6.12.0 Chore(deps): Bump justinrainbow/json-schema from 6.11.0 to 6.13.0 Oct 8, 2026
@dependabot
dependabot Bot force-pushed the dependabot/composer/justinrainbow/json-schema-6.12.0 branch from 5467263 to 34310a0 Compare October 8, 2026 10:23
@github-actions

github-actions Bot commented Oct 8, 2026

Copy link
Copy Markdown
Contributor

馃悽 Performance warning.
It looks like the query count of the integration tests increased with this PR.
Database query count is now 205964 was 198420 (+3.8%)
Please check your code again. If you added a new test this can be expected and the base value in tests/integration/base-query-count.txt can be increased.

@github-actions
github-actions Bot merged commit 02c8146 into main Oct 8, 2026
43 checks passed
@github-actions
github-actions Bot deleted the dependabot/composer/justinrainbow/json-schema-6.12.0 branch October 8, 2026 10:46
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment

Labels

dependencies php Pull requests that update Php code

Projects

None yet

Development

Successfully merging this pull request may close these issues.

1 participant